package net.northking.cctp.daemon.entity;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "daemon_engine_info")
public class DaemonEngineInfo
{

  /**
   * 引擎的版本号
   */
  @Id
  private String version;

  /**
   * 最新的版本号
   */
  private String upgradeVersion;

  /**
   * 守护状态
   */
  private String status = DaemonStatus.INIT.name();

  /**
   * 更新包下载地址
   */
  private String downloadUrl;

  /**
   * 安装包目录
   */
  private String patchDirectory;

  /**
   * 补丁压缩包
   */
  private String PatchZipFile;


  public String getVersion()
  {
    return version;
  }

  public void setVersion(String version)
  {
    this.version = version;
  }

  public String getUpgradeVersion()
  {
    return upgradeVersion;
  }

  public void setUpgradeVersion(String lastVersion)
  {
    this.upgradeVersion = lastVersion;
  }

  public String getPatchDirectory()
  {
    return patchDirectory;
  }

  public void setPatchDirectory(String patchHome)
  {
    this.patchDirectory = patchHome;
  }

  public String getStatus()
  {
    return status;
  }

  public void setStatus(String status)
  {
    this.status = status;
  }

  public String getDownloadUrl()
  {
    return downloadUrl;
  }

  public void setDownloadUrl(String patchUrl)
  {
    this.downloadUrl = patchUrl;
  }

  public String getPatchZipFile()
  {
    return PatchZipFile;
  }

  public void setPatchZipFile(String patchZipFile)
  {
    PatchZipFile = patchZipFile;
  }
}
